Skip to content
EN | DE

Set plan strategy

POST
/loadpoints/{id}/plan/strategy
curl --request POST \
--url https://demo.evcc.io/api/loadpoints/1/plan/strategy \
--header 'Content-Type: application/json' \
--data '{ "continuous": true, "precondition": 1 }'

Updates the charging plan strategy for the loadpoint.

More information

id
required

Loadpoint index starting at 1.

integer
>= 1
Example
1

Loadpoint index starting at 1

Media typeapplication/json

Charging plan strategy.

object
continuous
required

Force continuous charging without gaps.

boolean
precondition
required

Duration of uninterrupted charging directly before the target time, in seconds.

number
Examplegenerated
{
"continuous": true,
"precondition": 1
}

Success

Media typeapplication/json

Charging plan strategy.

object
continuous
required

Force continuous charging without gaps.

boolean
precondition
required

Duration of uninterrupted charging directly before the target time, in seconds.

number
Examplegenerated
{
"continuous": true,
"precondition": 1
}